package com.rjconsultores.ventaboletos.web.gui.controladores.gr;

import java.text.SimpleDateFormat;

import org.zkoss.zul.Listcell;
import org.zkoss.zul.Listitem;
import org.zkoss.zul.ListitemRenderer;

import com.rjconsultores.ventaboletos.entidad.AbastoCentral;
import com.rjconsultores.ventaboletos.entidad.Estacion;
import com.rjconsultores.ventaboletos.entidad.PuntoVenta;

public class BilhetesListitemRenderer implements ListitemRenderer {


	@Override
	public void render(Listitem listItem, Object _bilhete) throws Exception {
		
		AbastoCentral bilhete = (AbastoCentral)_bilhete;
		
		Listcell idCell =  new Listcell(bilhete.getAbastocentralId().toString());
		idCell.setParent(listItem);
		
		Listcell aidfCell =  new Listcell(bilhete.getAidf().toString());
		aidfCell.setParent(listItem);
		
		Listcell numfolioCell =  new Listcell(bilhete.getNumfoliopreimpreso());
		numfolioCell.setParent(listItem);
				
		Listcell serieCell =  new Listcell(bilhete.getNumseriepreimpresa());
		serieCell.setParent(listItem);
		
		Listcell subserieCell =  new Listcell(bilhete.getNumsubseriepreimpreso());
		subserieCell.setParent(listItem);
		
		PuntoVenta puntoVenta = bilhete.getPuntoventa();
		Listcell puntoventaCell =  new Listcell(puntoVenta != null ? puntoVenta.toString() : " - ");
		puntoventaCell.setParent(listItem);
		
		Estacion estacion = bilhete.getEstacion();		
		Listcell estacionCell =  new Listcell(estacion != null ? estacion.getDescestacion() : " - ");
		estacionCell.setParent(listItem);
		
		SimpleDateFormat sdf = new SimpleDateFormat("dd/MM/yyyy");
		
		Listcell fecmodifCell =  new Listcell(sdf.format(bilhete.getFecmodif()));
		fecmodifCell.setParent(listItem);
	}

}
